# Project Preview - Web Wallpaper Engine
![[github](https://img.shields.io/github/downloads/kenclaron/project-preview/total.svg)](https://img.shields.io/github/license/kenclaron/project-preview?style=for-the-badge)

## About
Wallpaper Engine but online-version. View animated wallpapers directly in your browser. 

**Case**: Create web-analog of Wallpaper Engine with support Desktop and Mobile platforms using HTML/CSS/JS/PHP.

**Solution with**: HTML5, CSS3, JavaScript (ES6), PHP7+

**Check this project here**: [projectpreview.ufh.in](http://projectpreview.ultimatefreehost.in/w/1)

## Table of Contents
- [Preview](#preview)
  - [Video](#video)
  - [Images](#images)
- [Features](#features)
- [Project folder description](#project-folder-description)
- [Usage](#usage)
- [Requirements](#requirements)
  - [Browsers](#browsers)
  - [Software](#software)
- [Dependencies](#dependencies)
- [Inspired by](#inspired-by)
- [License](#license)
- [Author](#author)

## Preview

### Video
GIF-animation: https://i.imgur.com/QRov5aF.gif

### Images
[<img src="https://i.imgur.com/LNfkUP5.jpg" width="45%"/>](https://i.imgur.com/LNfkUP5.jpg)
[<img src="https://i.imgur.com/rcUDfW6.jpg" width="45%"/>](https://i.imgur.com/rcUDfW6.jpg)
[<img src="https://i.imgur.com/XqFJbBc.jpg" width="45%"/>](https://i.imgur.com/XqFJbBc.jpg)
[<img src="https://i.imgur.com/Ut10l3H.jpg" width="45%"/>](https://i.imgur.com/Ut10l3H.jpg)

## Features

- Supports HTML, JS, CSS code in projects;
- Full customizing of projects;
- Supports all custom dynamic settings of projects;
- Taking a screenshot of animation;
- Supports all original events and input types from Wallpaper Engine;
- Supports downloading of source in `.zip`;
- Real-time editor of your Javascript Canvas-animation;
- Debug menu;
- Cross-browser support;
- Desktop and Mobile (Android and IOS) platforms support.

## Project folder description

```text
project-preview/
├──── css       - styles
├──── global    - libraries
├──── js        - scripts
├──── projects  - folders with animation and real-time editor
├─ .htaccess
├─ download.php - download in-zip source from projects folder
├─ index.php    - start page
├─ robots.txt
├─ settings.json
└─ zip.lib.php  - download in-zip source from projects folder
```

## Usage

* Open website - [projectpreview.ufh.in](http://projectpreview.ultimatefreehost.in/w/1);
* Import all files on your local or public server with PHP-support:
  * Launch PHP-server;
  * Open `{{url}}/` or `{{url}}/index.php` in your browser for start page;
  * Open `{{url}}/w/1` in your browser for open project with `id=1`;
  * Open `{{url}}/download.php?id=1` in your browser for download project in-zip with `id=1`.

## Requirements 

### Browsers
* **Chrome** (49.0.2623 or latest)
* **Firefox** (45.0 or latest)
* **Opera** (36.0.2130.32 or latest)
* **Edge** (25.10586/EdgeHTML 13.10586 or latest)
* **Safari** (9.0 or latest)

### Software
* Any software using Blink 49 or latest
* Any software using V8 4.9.385 or latest

## Dependencies 
* **jQuery** - v3.6.0
* **HammerJS** - v2.0.6
* **Touch-Menu-Like-Android** - v0.8

## Inspired by
**Wallpaper Engine** - https://www.wallpaperengine.io/

## License
The **Project Preview** licensed under the [MIT license](https://opensource.org/licenses/MIT).

> Original files of projects in the folders from `/project/1` to `/project/13` are licensed under CC BY-NC-ND 4.0 (https://creativecommons.org/licenses/by-nc-nd/4.0/legalcode) by Dmitry Britov

## Author
> You can express your gratitude by clicking on one of the links

* [Personal website](https://kenclaron.github.io/kenclaron)
* [VK](https://vk.com/club190729942)
